// ConnectDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MyApp.h"
#include "ConnectDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnectDialog dialog


CConnectDialog::CConnectDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CConnectDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnectDialog)
	m_strUserID = _T("");
	m_strPassword = _T("");
	m_nAccess = 0;
	m_bConnect = FALSE;
	//}}AFX_DATA_INIT
}


void CConnectDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnectDialog)
	DDX_Control(pDX, IDC_DSNLIST, m_lbDSN);
	DDX_Text(pDX, IDC_PASSWORD, m_strPassword);
	DDV_MaxChars(pDX, m_strPassword, 15);
	DDX_Text(pDX, IDC_ACCESS, m_nAccess);
	DDV_MinMaxInt(pDX, m_nAccess, 1, 5);
	DDX_Check(pDX, IDC_CHECKCONTROL, m_bConnect);
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_USERID, m_strUserID);
	DDV_MaxChars(pDX, m_strUserID, 15);
    DDV_Required(pDX, m_strUserID);
}


BEGIN_MESSAGE_MAP(CConnectDialog, CDialog)
	//{{AFX_MSG_MAP(CConnectDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void PASCAL DDV_Required(CDataExchange * pDX,   CString str)
{
  if (pDX->m_bSaveAndValidate && str. IsEmpty())
 {
   AfxMessageBox("Please enter the User ID."); 
   pDX->Fail(); 
  } 
}

/////////////////////////////////////////////////////////////////////////////
// CConnectDialog message handlers

BOOL CConnectDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    m_lbDSN. AddString( "Accounts"); 
    m_lbDSN. AddString("Admin"); 
    m_lbDSN.AddString( "Management");
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CConnectDialog::OnOK() 
{
  CMyAppApp * pApp = dynamic_cast<CMyAppApp *>(AfxGetApp());
  ASSERT_VALID(pApp);
  int nChoice = m_lbDSN.GetCurSel();
  if (nChoice != LB_ERR) 
  {
    m_lbDSN.GetText(nChoice, pApp->m_strDSN);
    pApp->m_isDatabaseConnected = TRUE; 
  }
	
  CDialog::OnOK();
}
